import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { BundlePublicDTO, Bundle, CreateBundleDTO, BundleTrade, BuyBundleDTO, BundleSplitDTO } from './exchangeAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const bundleControllerGetAvailableBundles: <Data = unknown>() => Promise<Data extends unknown ? BundlePublicDTO[] : Data>;
export declare const getBundleControllerGetAvailableBundlesQueryKey: () => string[];
export declare const useBundleControllerGetAvailableBundles: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<BundlePublicDTO[], Error_1, BundlePublicDTO[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundlePublicDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundlePublicDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundlePublicDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BundlePublicDTO[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundlePublicDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BundlePublicDTO[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundlePublicDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const bundleControllerGetMyBundles: <Data = unknown>() => Promise<Data extends unknown ? Bundle[] : Data>;
export declare const getBundleControllerGetMyBundlesQueryKey: () => string[];
export declare const useBundleControllerGetMyBundles: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<Bundle[], Error_1, Bundle[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Bundle[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Bundle[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Bundle[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: Bundle[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Bundle[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: Bundle[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Bundle[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const bundleControllerCreateBundle: <Data = unknown>(createBundleDTO: CreateBundleDTO) => Promise<Data extends unknown ? Bundle : Data>;
export declare const useBundleControllerCreateBundle: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<Bundle, Error_1, {
    data: CreateBundleDTO;
}, unknown>) => import("react-query").UseMutationResult<Bundle, Error_1, {
    data: CreateBundleDTO;
}, unknown>;
export declare const bundleControllerGetMyTrades: <Data = unknown>() => Promise<Data extends unknown ? BundleTrade[] : Data>;
export declare const getBundleControllerGetMyTradesQueryKey: () => string[];
export declare const useBundleControllerGetMyTrades: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<BundleTrade[], Error_1, BundleTrade[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleTrade[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleTrade[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleTrade[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BundleTrade[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleTrade[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BundleTrade[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleTrade[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const bundleControllerBuyBundle: <Data = unknown>(buyBundleDTO: BuyBundleDTO) => Promise<Data extends unknown ? BundleTrade : Data>;
export declare const useBundleControllerBuyBundle: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<BundleTrade, Error_1, {
    data: BuyBundleDTO;
}, unknown>) => import("react-query").UseMutationResult<BundleTrade, Error_1, {
    data: BuyBundleDTO;
}, unknown>;
export declare const bundleControllerCancelBundle: <Data = unknown>(id: string) => Promise<Data extends unknown ? Bundle : Data>;
export declare const useBundleControllerCancelBundle: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<Bundle, Error_1, {
    id: string;
}, unknown>) => import("react-query").UseMutationResult<Bundle, Error_1, {
    id: string;
}, unknown>;
export declare const bundleControllerAvailableBundleSplits: <Data = unknown>(id: string) => Promise<Data extends unknown ? BundleSplitDTO : Data>;
export declare const getBundleControllerAvailableBundleSplitsQueryKey: (id: string) => string[];
export declare const useBundleControllerAvailableBundleSplits: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(id: string, queryConfig?: UseQueryOptions<BundleSplitDTO, Error_1, BundleSplitDTO, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleSplitDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleSplitDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleSplitDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BundleSplitDTO;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleSplitDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BundleSplitDTO;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BundleSplitDTO, Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export {};
