import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { Transfer, RequestWithdrawalDTO, RequestClaimDTO, RequestBatchClaimDTO, RequestSendDTO } from './exchangeAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const transferControllerGetMyTransfers: <Data = unknown>() => Promise<Data extends unknown ? Transfer[] : Data>;
export declare const getTransferControllerGetMyTransfersQueryKey: () => string[];
export declare const useTransferControllerGetMyTransfers: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<Transfer[], Error_1, Transfer[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Transfer[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Transfer[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Transfer[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: Transfer[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Transfer[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: Transfer[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<Transfer[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const transferControllerRequestWithdrawal: <Data = unknown>(requestWithdrawalDTO: RequestWithdrawalDTO) => Promise<Data extends unknown ? string : Data>;
export declare const useTransferControllerRequestWithdrawal: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<string, Error_1, {
    data: RequestWithdrawalDTO;
}, unknown>) => import("react-query").UseMutationResult<string, Error_1, {
    data: RequestWithdrawalDTO;
}, unknown>;
export declare const transferControllerRequestClaim: <Data = unknown>(requestClaimDTO: RequestClaimDTO) => Promise<Data extends unknown ? string : Data>;
export declare const useTransferControllerRequestClaim: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<string, Error_1, {
    data: RequestClaimDTO;
}, unknown>) => import("react-query").UseMutationResult<string, Error_1, {
    data: RequestClaimDTO;
}, unknown>;
export declare const transferControllerRequestBatchClaim: <Data = unknown>(requestBatchClaimDTO: RequestBatchClaimDTO) => Promise<Data extends unknown ? string : Data>;
export declare const useTransferControllerRequestBatchClaim: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<string, Error_1, {
    data: RequestBatchClaimDTO;
}, unknown>) => import("react-query").UseMutationResult<string, Error_1, {
    data: RequestBatchClaimDTO;
}, unknown>;
export declare const transferControllerRequestSend: <Data = unknown>(requestSendDTO: RequestSendDTO) => Promise<Data extends unknown ? string : Data>;
export declare const useTransferControllerRequestSend: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<string, Error_1, {
    data: RequestSendDTO;
}, unknown>) => import("react-query").UseMutationResult<string, Error_1, {
    data: RequestSendDTO;
}, unknown>;
export {};
